Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network42.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
42.0.0.0
Broadcast address
42.63.255.255
First usable
42.0.0.1
Last usable
42.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 2A000000 · Integer 704643072 to 708837375
Reverse DNS zones
0.42.in-addr.arpa
1.42.in-addr.arpa
2.42.in-addr.arpa
3.42.in-addr.arpa
4.42.in-addr.arpa
5.42.in-addr.arpa
6.42.in-addr.arpa
7.42.in-addr.arpa
8.42.in-addr.arpa
9.42.in-addr.arpa
10.42.in-addr.arpa
11.42.in-addr.arpa
12.42.in-addr.arpa
13.42.in-addr.arpa
14.42.in-addr.arpa
15.42.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101010.00000000.00000000.0000000042.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00101010.00000000.00000000.0000000042.0.0.0
Broadcast00101010.00111111.11111111.1111111142.63.255.255
Split into smaller subnets/22

42.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
142.0.0.0/2242.0.0.1 to 42.0.3.25442.0.3.2551,022
242.0.4.0/2242.0.4.1 to 42.0.7.25442.0.7.2551,022
342.0.8.0/2242.0.8.1 to 42.0.11.25442.0.11.2551,022
442.0.12.0/2242.0.12.1 to 42.0.15.25442.0.15.2551,022
542.0.16.0/2242.0.16.1 to 42.0.19.25442.0.19.2551,022
642.0.20.0/2242.0.20.1 to 42.0.23.25442.0.23.2551,022
742.0.24.0/2242.0.24.1 to 42.0.27.25442.0.27.2551,022
842.0.28.0/2242.0.28.1 to 42.0.31.25442.0.31.2551,022
942.0.32.0/2242.0.32.1 to 42.0.35.25442.0.35.2551,022
1042.0.36.0/2242.0.36.1 to 42.0.39.25442.0.39.2551,022
1142.0.40.0/2242.0.40.1 to 42.0.43.25442.0.43.2551,022
1242.0.44.0/2242.0.44.1 to 42.0.47.25442.0.47.2551,022
1342.0.48.0/2242.0.48.1 to 42.0.51.25442.0.51.2551,022
1442.0.52.0/2242.0.52.1 to 42.0.55.25442.0.55.2551,022
1542.0.56.0/2242.0.56.1 to 42.0.59.25442.0.59.2551,022
1642.0.60.0/2242.0.60.1 to 42.0.63.25442.0.63.2551,022
1742.0.64.0/2242.0.64.1 to 42.0.67.25442.0.67.2551,022
1842.0.68.0/2242.0.68.1 to 42.0.71.25442.0.71.2551,022
1942.0.72.0/2242.0.72.1 to 42.0.75.25442.0.75.2551,022
2042.0.76.0/2242.0.76.1 to 42.0.79.25442.0.79.2551,022
2142.0.80.0/2242.0.80.1 to 42.0.83.25442.0.83.2551,022
2242.0.84.0/2242.0.84.1 to 42.0.87.25442.0.87.2551,022
2342.0.88.0/2242.0.88.1 to 42.0.91.25442.0.91.2551,022
2442.0.92.0/2242.0.92.1 to 42.0.95.25442.0.95.2551,022
2542.0.96.0/2242.0.96.1 to 42.0.99.25442.0.99.2551,022
2642.0.100.0/2242.0.100.1 to 42.0.103.25442.0.103.2551,022
2742.0.104.0/2242.0.104.1 to 42.0.107.25442.0.107.2551,022
2842.0.108.0/2242.0.108.1 to 42.0.111.25442.0.111.2551,022
2942.0.112.0/2242.0.112.1 to 42.0.115.25442.0.115.2551,022
3042.0.116.0/2242.0.116.1 to 42.0.119.25442.0.119.2551,022
3142.0.120.0/2242.0.120.1 to 42.0.123.25442.0.123.2551,022
3242.0.124.0/2242.0.124.1 to 42.0.127.25442.0.127.2551,022
3342.0.128.0/2242.0.128.1 to 42.0.131.25442.0.131.2551,022
3442.0.132.0/2242.0.132.1 to 42.0.135.25442.0.135.2551,022
3542.0.136.0/2242.0.136.1 to 42.0.139.25442.0.139.2551,022
3642.0.140.0/2242.0.140.1 to 42.0.143.25442.0.143.2551,022
3742.0.144.0/2242.0.144.1 to 42.0.147.25442.0.147.2551,022
3842.0.148.0/2242.0.148.1 to 42.0.151.25442.0.151.2551,022
3942.0.152.0/2242.0.152.1 to 42.0.155.25442.0.155.2551,022
4042.0.156.0/2242.0.156.1 to 42.0.159.25442.0.159.2551,022
4142.0.160.0/2242.0.160.1 to 42.0.163.25442.0.163.2551,022
4242.0.164.0/2242.0.164.1 to 42.0.167.25442.0.167.2551,022
4342.0.168.0/2242.0.168.1 to 42.0.171.25442.0.171.2551,022
4442.0.172.0/2242.0.172.1 to 42.0.175.25442.0.175.2551,022
4542.0.176.0/2242.0.176.1 to 42.0.179.25442.0.179.2551,022
4642.0.180.0/2242.0.180.1 to 42.0.183.25442.0.183.2551,022
4742.0.184.0/2242.0.184.1 to 42.0.187.25442.0.187.2551,022
4842.0.188.0/2242.0.188.1 to 42.0.191.25442.0.191.2551,022
4942.0.192.0/2242.0.192.1 to 42.0.195.25442.0.195.2551,022
5042.0.196.0/2242.0.196.1 to 42.0.199.25442.0.199.2551,022
5142.0.200.0/2242.0.200.1 to 42.0.203.25442.0.203.2551,022
5242.0.204.0/2242.0.204.1 to 42.0.207.25442.0.207.2551,022
5342.0.208.0/2242.0.208.1 to 42.0.211.25442.0.211.2551,022
5442.0.212.0/2242.0.212.1 to 42.0.215.25442.0.215.2551,022
5542.0.216.0/2242.0.216.1 to 42.0.219.25442.0.219.2551,022
5642.0.220.0/2242.0.220.1 to 42.0.223.25442.0.223.2551,022
5742.0.224.0/2242.0.224.1 to 42.0.227.25442.0.227.2551,022
5842.0.228.0/2242.0.228.1 to 42.0.231.25442.0.231.2551,022
5942.0.232.0/2242.0.232.1 to 42.0.235.25442.0.235.2551,022
6042.0.236.0/2242.0.236.1 to 42.0.239.25442.0.239.2551,022
6142.0.240.0/2242.0.240.1 to 42.0.243.25442.0.243.2551,022
6242.0.244.0/2242.0.244.1 to 42.0.247.25442.0.247.2551,022
6342.0.248.0/2242.0.248.1 to 42.0.251.25442.0.251.2551,022
6442.0.252.0/2242.0.252.1 to 42.0.255.25442.0.255.2551,022
6542.1.0.0/2242.1.0.1 to 42.1.3.25442.1.3.2551,022
6642.1.4.0/2242.1.4.1 to 42.1.7.25442.1.7.2551,022
6742.1.8.0/2242.1.8.1 to 42.1.11.25442.1.11.2551,022
6842.1.12.0/2242.1.12.1 to 42.1.15.25442.1.15.2551,022
6942.1.16.0/2242.1.16.1 to 42.1.19.25442.1.19.2551,022
7042.1.20.0/2242.1.20.1 to 42.1.23.25442.1.23.2551,022
7142.1.24.0/2242.1.24.1 to 42.1.27.25442.1.27.2551,022
7242.1.28.0/2242.1.28.1 to 42.1.31.25442.1.31.2551,022
7342.1.32.0/2242.1.32.1 to 42.1.35.25442.1.35.2551,022
7442.1.36.0/2242.1.36.1 to 42.1.39.25442.1.39.2551,022
7542.1.40.0/2242.1.40.1 to 42.1.43.25442.1.43.2551,022
7642.1.44.0/2242.1.44.1 to 42.1.47.25442.1.47.2551,022
7742.1.48.0/2242.1.48.1 to 42.1.51.25442.1.51.2551,022
7842.1.52.0/2242.1.52.1 to 42.1.55.25442.1.55.2551,022
7942.1.56.0/2242.1.56.1 to 42.1.59.25442.1.59.2551,022
8042.1.60.0/2242.1.60.1 to 42.1.63.25442.1.63.2551,022
8142.1.64.0/2242.1.64.1 to 42.1.67.25442.1.67.2551,022
8242.1.68.0/2242.1.68.1 to 42.1.71.25442.1.71.2551,022
8342.1.72.0/2242.1.72.1 to 42.1.75.25442.1.75.2551,022
8442.1.76.0/2242.1.76.1 to 42.1.79.25442.1.79.2551,022
8542.1.80.0/2242.1.80.1 to 42.1.83.25442.1.83.2551,022
8642.1.84.0/2242.1.84.1 to 42.1.87.25442.1.87.2551,022
8742.1.88.0/2242.1.88.1 to 42.1.91.25442.1.91.2551,022
8842.1.92.0/2242.1.92.1 to 42.1.95.25442.1.95.2551,022
8942.1.96.0/2242.1.96.1 to 42.1.99.25442.1.99.2551,022
9042.1.100.0/2242.1.100.1 to 42.1.103.25442.1.103.2551,022
9142.1.104.0/2242.1.104.1 to 42.1.107.25442.1.107.2551,022
9242.1.108.0/2242.1.108.1 to 42.1.111.25442.1.111.2551,022
9342.1.112.0/2242.1.112.1 to 42.1.115.25442.1.115.2551,022
9442.1.116.0/2242.1.116.1 to 42.1.119.25442.1.119.2551,022
9542.1.120.0/2242.1.120.1 to 42.1.123.25442.1.123.2551,022
9642.1.124.0/2242.1.124.1 to 42.1.127.25442.1.127.2551,022
9742.1.128.0/2242.1.128.1 to 42.1.131.25442.1.131.2551,022
9842.1.132.0/2242.1.132.1 to 42.1.135.25442.1.135.2551,022
9942.1.136.0/2242.1.136.1 to 42.1.139.25442.1.139.2551,022
10042.1.140.0/2242.1.140.1 to 42.1.143.25442.1.143.2551,022
10142.1.144.0/2242.1.144.1 to 42.1.147.25442.1.147.2551,022
10242.1.148.0/2242.1.148.1 to 42.1.151.25442.1.151.2551,022
10342.1.152.0/2242.1.152.1 to 42.1.155.25442.1.155.2551,022
10442.1.156.0/2242.1.156.1 to 42.1.159.25442.1.159.2551,022
10542.1.160.0/2242.1.160.1 to 42.1.163.25442.1.163.2551,022
10642.1.164.0/2242.1.164.1 to 42.1.167.25442.1.167.2551,022
10742.1.168.0/2242.1.168.1 to 42.1.171.25442.1.171.2551,022
10842.1.172.0/2242.1.172.1 to 42.1.175.25442.1.175.2551,022
10942.1.176.0/2242.1.176.1 to 42.1.179.25442.1.179.2551,022
11042.1.180.0/2242.1.180.1 to 42.1.183.25442.1.183.2551,022
11142.1.184.0/2242.1.184.1 to 42.1.187.25442.1.187.2551,022
11242.1.188.0/2242.1.188.1 to 42.1.191.25442.1.191.2551,022
11342.1.192.0/2242.1.192.1 to 42.1.195.25442.1.195.2551,022
11442.1.196.0/2242.1.196.1 to 42.1.199.25442.1.199.2551,022
11542.1.200.0/2242.1.200.1 to 42.1.203.25442.1.203.2551,022
11642.1.204.0/2242.1.204.1 to 42.1.207.25442.1.207.2551,022
11742.1.208.0/2242.1.208.1 to 42.1.211.25442.1.211.2551,022
11842.1.212.0/2242.1.212.1 to 42.1.215.25442.1.215.2551,022
11942.1.216.0/2242.1.216.1 to 42.1.219.25442.1.219.2551,022
12042.1.220.0/2242.1.220.1 to 42.1.223.25442.1.223.2551,022
12142.1.224.0/2242.1.224.1 to 42.1.227.25442.1.227.2551,022
12242.1.228.0/2242.1.228.1 to 42.1.231.25442.1.231.2551,022
12342.1.232.0/2242.1.232.1 to 42.1.235.25442.1.235.2551,022
12442.1.236.0/2242.1.236.1 to 42.1.239.25442.1.239.2551,022
12542.1.240.0/2242.1.240.1 to 42.1.243.25442.1.243.2551,022
12642.1.244.0/2242.1.244.1 to 42.1.247.25442.1.247.2551,022
12742.1.248.0/2242.1.248.1 to 42.1.251.25442.1.251.2551,022
12842.1.252.0/2242.1.252.1 to 42.1.255.25442.1.255.2551,022
12942.2.0.0/2242.2.0.1 to 42.2.3.25442.2.3.2551,022
13042.2.4.0/2242.2.4.1 to 42.2.7.25442.2.7.2551,022
13142.2.8.0/2242.2.8.1 to 42.2.11.25442.2.11.2551,022
13242.2.12.0/2242.2.12.1 to 42.2.15.25442.2.15.2551,022
13342.2.16.0/2242.2.16.1 to 42.2.19.25442.2.19.2551,022
13442.2.20.0/2242.2.20.1 to 42.2.23.25442.2.23.2551,022
13542.2.24.0/2242.2.24.1 to 42.2.27.25442.2.27.2551,022
13642.2.28.0/2242.2.28.1 to 42.2.31.25442.2.31.2551,022
13742.2.32.0/2242.2.32.1 to 42.2.35.25442.2.35.2551,022
13842.2.36.0/2242.2.36.1 to 42.2.39.25442.2.39.2551,022
13942.2.40.0/2242.2.40.1 to 42.2.43.25442.2.43.2551,022
14042.2.44.0/2242.2.44.1 to 42.2.47.25442.2.47.2551,022
14142.2.48.0/2242.2.48.1 to 42.2.51.25442.2.51.2551,022
14242.2.52.0/2242.2.52.1 to 42.2.55.25442.2.55.2551,022
14342.2.56.0/2242.2.56.1 to 42.2.59.25442.2.59.2551,022
14442.2.60.0/2242.2.60.1 to 42.2.63.25442.2.63.2551,022
14542.2.64.0/2242.2.64.1 to 42.2.67.25442.2.67.2551,022
14642.2.68.0/2242.2.68.1 to 42.2.71.25442.2.71.2551,022
14742.2.72.0/2242.2.72.1 to 42.2.75.25442.2.75.2551,022
14842.2.76.0/2242.2.76.1 to 42.2.79.25442.2.79.2551,022
14942.2.80.0/2242.2.80.1 to 42.2.83.25442.2.83.2551,022
15042.2.84.0/2242.2.84.1 to 42.2.87.25442.2.87.2551,022
15142.2.88.0/2242.2.88.1 to 42.2.91.25442.2.91.2551,022
15242.2.92.0/2242.2.92.1 to 42.2.95.25442.2.95.2551,022
15342.2.96.0/2242.2.96.1 to 42.2.99.25442.2.99.2551,022
15442.2.100.0/2242.2.100.1 to 42.2.103.25442.2.103.2551,022
15542.2.104.0/2242.2.104.1 to 42.2.107.25442.2.107.2551,022
15642.2.108.0/2242.2.108.1 to 42.2.111.25442.2.111.2551,022
15742.2.112.0/2242.2.112.1 to 42.2.115.25442.2.115.2551,022
15842.2.116.0/2242.2.116.1 to 42.2.119.25442.2.119.2551,022
15942.2.120.0/2242.2.120.1 to 42.2.123.25442.2.123.2551,022
16042.2.124.0/2242.2.124.1 to 42.2.127.25442.2.127.2551,022
16142.2.128.0/2242.2.128.1 to 42.2.131.25442.2.131.2551,022
16242.2.132.0/2242.2.132.1 to 42.2.135.25442.2.135.2551,022
16342.2.136.0/2242.2.136.1 to 42.2.139.25442.2.139.2551,022
16442.2.140.0/2242.2.140.1 to 42.2.143.25442.2.143.2551,022
16542.2.144.0/2242.2.144.1 to 42.2.147.25442.2.147.2551,022
16642.2.148.0/2242.2.148.1 to 42.2.151.25442.2.151.2551,022
16742.2.152.0/2242.2.152.1 to 42.2.155.25442.2.155.2551,022
16842.2.156.0/2242.2.156.1 to 42.2.159.25442.2.159.2551,022
16942.2.160.0/2242.2.160.1 to 42.2.163.25442.2.163.2551,022
17042.2.164.0/2242.2.164.1 to 42.2.167.25442.2.167.2551,022
17142.2.168.0/2242.2.168.1 to 42.2.171.25442.2.171.2551,022
17242.2.172.0/2242.2.172.1 to 42.2.175.25442.2.175.2551,022
17342.2.176.0/2242.2.176.1 to 42.2.179.25442.2.179.2551,022
17442.2.180.0/2242.2.180.1 to 42.2.183.25442.2.183.2551,022
17542.2.184.0/2242.2.184.1 to 42.2.187.25442.2.187.2551,022
17642.2.188.0/2242.2.188.1 to 42.2.191.25442.2.191.2551,022
17742.2.192.0/2242.2.192.1 to 42.2.195.25442.2.195.2551,022
17842.2.196.0/2242.2.196.1 to 42.2.199.25442.2.199.2551,022
17942.2.200.0/2242.2.200.1 to 42.2.203.25442.2.203.2551,022
18042.2.204.0/2242.2.204.1 to 42.2.207.25442.2.207.2551,022
18142.2.208.0/2242.2.208.1 to 42.2.211.25442.2.211.2551,022
18242.2.212.0/2242.2.212.1 to 42.2.215.25442.2.215.2551,022
18342.2.216.0/2242.2.216.1 to 42.2.219.25442.2.219.2551,022
18442.2.220.0/2242.2.220.1 to 42.2.223.25442.2.223.2551,022
18542.2.224.0/2242.2.224.1 to 42.2.227.25442.2.227.2551,022
18642.2.228.0/2242.2.228.1 to 42.2.231.25442.2.231.2551,022
18742.2.232.0/2242.2.232.1 to 42.2.235.25442.2.235.2551,022
18842.2.236.0/2242.2.236.1 to 42.2.239.25442.2.239.2551,022
18942.2.240.0/2242.2.240.1 to 42.2.243.25442.2.243.2551,022
19042.2.244.0/2242.2.244.1 to 42.2.247.25442.2.247.2551,022
19142.2.248.0/2242.2.248.1 to 42.2.251.25442.2.251.2551,022
19242.2.252.0/2242.2.252.1 to 42.2.255.25442.2.255.2551,022
19342.3.0.0/2242.3.0.1 to 42.3.3.25442.3.3.2551,022
19442.3.4.0/2242.3.4.1 to 42.3.7.25442.3.7.2551,022
19542.3.8.0/2242.3.8.1 to 42.3.11.25442.3.11.2551,022
19642.3.12.0/2242.3.12.1 to 42.3.15.25442.3.15.2551,022
19742.3.16.0/2242.3.16.1 to 42.3.19.25442.3.19.2551,022
19842.3.20.0/2242.3.20.1 to 42.3.23.25442.3.23.2551,022
19942.3.24.0/2242.3.24.1 to 42.3.27.25442.3.27.2551,022
20042.3.28.0/2242.3.28.1 to 42.3.31.25442.3.31.2551,022
20142.3.32.0/2242.3.32.1 to 42.3.35.25442.3.35.2551,022
20242.3.36.0/2242.3.36.1 to 42.3.39.25442.3.39.2551,022
20342.3.40.0/2242.3.40.1 to 42.3.43.25442.3.43.2551,022
20442.3.44.0/2242.3.44.1 to 42.3.47.25442.3.47.2551,022
20542.3.48.0/2242.3.48.1 to 42.3.51.25442.3.51.2551,022
20642.3.52.0/2242.3.52.1 to 42.3.55.25442.3.55.2551,022
20742.3.56.0/2242.3.56.1 to 42.3.59.25442.3.59.2551,022
20842.3.60.0/2242.3.60.1 to 42.3.63.25442.3.63.2551,022
20942.3.64.0/2242.3.64.1 to 42.3.67.25442.3.67.2551,022
21042.3.68.0/2242.3.68.1 to 42.3.71.25442.3.71.2551,022
21142.3.72.0/2242.3.72.1 to 42.3.75.25442.3.75.2551,022
21242.3.76.0/2242.3.76.1 to 42.3.79.25442.3.79.2551,022
21342.3.80.0/2242.3.80.1 to 42.3.83.25442.3.83.2551,022
21442.3.84.0/2242.3.84.1 to 42.3.87.25442.3.87.2551,022
21542.3.88.0/2242.3.88.1 to 42.3.91.25442.3.91.2551,022
21642.3.92.0/2242.3.92.1 to 42.3.95.25442.3.95.2551,022
21742.3.96.0/2242.3.96.1 to 42.3.99.25442.3.99.2551,022
21842.3.100.0/2242.3.100.1 to 42.3.103.25442.3.103.2551,022
21942.3.104.0/2242.3.104.1 to 42.3.107.25442.3.107.2551,022
22042.3.108.0/2242.3.108.1 to 42.3.111.25442.3.111.2551,022
22142.3.112.0/2242.3.112.1 to 42.3.115.25442.3.115.2551,022
22242.3.116.0/2242.3.116.1 to 42.3.119.25442.3.119.2551,022
22342.3.120.0/2242.3.120.1 to 42.3.123.25442.3.123.2551,022
22442.3.124.0/2242.3.124.1 to 42.3.127.25442.3.127.2551,022
22542.3.128.0/2242.3.128.1 to 42.3.131.25442.3.131.2551,022
22642.3.132.0/2242.3.132.1 to 42.3.135.25442.3.135.2551,022
22742.3.136.0/2242.3.136.1 to 42.3.139.25442.3.139.2551,022
22842.3.140.0/2242.3.140.1 to 42.3.143.25442.3.143.2551,022
22942.3.144.0/2242.3.144.1 to 42.3.147.25442.3.147.2551,022
23042.3.148.0/2242.3.148.1 to 42.3.151.25442.3.151.2551,022
23142.3.152.0/2242.3.152.1 to 42.3.155.25442.3.155.2551,022
23242.3.156.0/2242.3.156.1 to 42.3.159.25442.3.159.2551,022
23342.3.160.0/2242.3.160.1 to 42.3.163.25442.3.163.2551,022
23442.3.164.0/2242.3.164.1 to 42.3.167.25442.3.167.2551,022
23542.3.168.0/2242.3.168.1 to 42.3.171.25442.3.171.2551,022
23642.3.172.0/2242.3.172.1 to 42.3.175.25442.3.175.2551,022
23742.3.176.0/2242.3.176.1 to 42.3.179.25442.3.179.2551,022
23842.3.180.0/2242.3.180.1 to 42.3.183.25442.3.183.2551,022
23942.3.184.0/2242.3.184.1 to 42.3.187.25442.3.187.2551,022
24042.3.188.0/2242.3.188.1 to 42.3.191.25442.3.191.2551,022
24142.3.192.0/2242.3.192.1 to 42.3.195.25442.3.195.2551,022
24242.3.196.0/2242.3.196.1 to 42.3.199.25442.3.199.2551,022
24342.3.200.0/2242.3.200.1 to 42.3.203.25442.3.203.2551,022
24442.3.204.0/2242.3.204.1 to 42.3.207.25442.3.207.2551,022
24542.3.208.0/2242.3.208.1 to 42.3.211.25442.3.211.2551,022
24642.3.212.0/2242.3.212.1 to 42.3.215.25442.3.215.2551,022
24742.3.216.0/2242.3.216.1 to 42.3.219.25442.3.219.2551,022
24842.3.220.0/2242.3.220.1 to 42.3.223.25442.3.223.2551,022
24942.3.224.0/2242.3.224.1 to 42.3.227.25442.3.227.2551,022
25042.3.228.0/2242.3.228.1 to 42.3.231.25442.3.231.2551,022
25142.3.232.0/2242.3.232.1 to 42.3.235.25442.3.235.2551,022
25242.3.236.0/2242.3.236.1 to 42.3.239.25442.3.239.2551,022
25342.3.240.0/2242.3.240.1 to 42.3.243.25442.3.243.2551,022
25442.3.244.0/2242.3.244.1 to 42.3.247.25442.3.247.2551,022
25542.3.248.0/2242.3.248.1 to 42.3.251.25442.3.251.2551,022
25642.3.252.0/2242.3.252.1 to 42.3.255.25442.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses